Bug 1471403 - SELinux is preventing systemd from read, write access on the chr_file /dev/dri/card0.
SELinux is preventing systemd from read, write access on the chr_file /dev/dr...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:93edf1467381be56eca8458c838...
:
: 1483165 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-15 12:34 EDT by Mikhail
Modified: 2017-08-19 06:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2017-07-15 12:34:50 EDT
Description of problem:
Just load Rawhide from USB stick
SELinux is preventing systemd from read, write access on the chr_file /dev/dri/card0.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd should be allowed read write access on the card0 chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd' --raw | audit2allow -M my-systemd
# semodule -X 300 -i my-systemd.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:dri_device_t:s0
Target Objects                /dev/dri/card0 [ chr_file ]
Source                        systemd
Source Path                   systemd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-263.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc0.git6.1.fc27.x86_64 #1
                              SMP Wed Jul 12 14:25:45 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-15 16:29:34 EDT
Last Seen                     2017-07-15 16:29:34 EDT
Local ID                      4e790e97-2191-48d1-90ed-8ec05064acc6

Raw Audit Messages
type=AVC msg=audit(1500150574.723:230): avc:  denied  { read write } for  pid=1 comm="systemd" path="/dev/dri/card0" dev="devtmpfs" ino=22542 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:dri_device_t:s0 tclass=chr_file permissive=0


Hash: systemd,init_t,dri_device_t,chr_file,read,write

Version-Release number of selected component:
selinux-policy-3.13.1-263.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc0.git6.1.fc27.x86_64
type:           libreport
Comment 1 Adam Williamson 2017-08-15 01:25:39 EDT
Description of problem:
Happened in normal system use, not sure if there was a specific trigger.

Version-Release number of selected component:
selinux-policy-3.13.1-270.fc27.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport
Comment 2 Jan Kurik 2017-08-15 04:54:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Adam Williamson 2017-08-18 18:38:03 EDT
*** Bug 1483165 has been marked as a duplicate of this bug. ***
Comment 4 Joachim Frieben 2017-08-19 06:02:29 EDT
Alert still gets triggered for selinux-policy-3.13.1-272.fc27.

Note You need to log in before you can comment on or make changes to this bug.